import sys
import mmap
import requests

for fn in sys.argv[1:]:
    f = open(fn)
    buf = mmap.mmap(f.fileno(), 0, mmap.MAP_PRIVATE, mmap.PROT_READ)
    inlen = len(buf)
    resp = requests.put("http://localhost:10000", buf)
    f.close()
    outlen = len(resp.text)
    if inlen != outlen:
        raise Exception("Error: file %s input length %d does not match output length %d" %
                        (fn, inlen, outlen))

sys.exit(0)
